import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/data/dto/money.dart';

part 'network_fee.g.dart';


@JsonSerializable()
class NetworkFeeDTO {
  final MoneyDTO? networkFee;
  final String? estimationContext;

  const NetworkFeeDTO({
    this.networkFee,
    this.estimationContext,
  });

  factory NetworkFeeDTO.fromJson(Map<String, dynamic> json) => _$NetworkFeeDTOFromJson(json);
  Map<String, dynamic> toJson() => _$NetworkFeeDTOToJson(this);
}
